





#ifndef XCLEAFBRUSHNODECHILDREN_H
#define XCLEAFBRUSHNODECHILDREN_H

#include "xasset.h"

class XCLeafBrushNodeChildren : public XAsset
{
public:
    explicit XCLeafBrushNodeChildren();

    void ParseData(QDataStream *aStream) override;

    float GetDist() const;
    void SetDist(float dist);

    float GetRange() const;
    void SetRange(float range);

    quint16 GetChildOffset(int index) const;
    void SetChildOffset(int index, quint16 offset);

private:
    float mDist = 0.0f;
    float mRange = 0.0f;
    quint16 mChildOffset[2] = {0};
};

#endif // XCLEAFBRUSHNODECHILDREN_H





